InvalidProjectionException
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.io
Class InvalidProjectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.gcube.contentmanagement.gcubedocumentlibrary.io.InvalidProjectionException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidProjectionException

extends java.lang.IllegalArgumentException

Raised for a `Projection` that is invalid in the context of usage.

Author:
  Fabio Simeoni (University of Strathclyde)
See Also:
  Serialized Form

Constructor Summary
`InvalidProjectionException(java.lang.String msg)` Creates an instance with a message.
`InvalidProjectionException(java.lang.String msg, java.lang.Throwable cause)` Creates an instance with a message and a cause.
`InvalidProjectionException(java.lang.Throwable cause)` Creates an instance with a given cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidProjectionException

    public InvalidProjectionException(java.lang.Throwable cause)

  Creates an instance with a given cause.

  Parameters:
    `cause` - the cause.

### InvalidProjectionException

    public InvalidProjectionException(java.lang.String msg,
                                      java.lang.Throwable cause)

  Creates an instance with a message and a cause.

  Parameters:
    `msg` - the message.
    `cause` - the cause.

### InvalidProjectionException

    public InvalidProjectionException(java.lang.String msg)

  Creates an instance with a message.

  Parameters:
    `msg` - the message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD